@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

body {
  margin: 0;
}

html, button, select, textarea, input {
  font-family: 'Roboto';
  font-size: 16px;
}

header nav ul {
  list-style: none;
  display: grid;
  grid-template-columns: repeat(10, 1fr);
  justify-items: center;
}

header {
  background-color: rgb(235, 235, 235);
  padding-top: 5px;
  padding-bottom: 5px;
}

a,
a:visited {
  text-decoration: none;
  color: #208ACC;
}

button.button {
  background-color: #E012AD;
  border: 2px solid transparent;
  border-radius: 4px;
  color: white;
  padding: 1em 1.5em;
  text-transform: uppercase;
}

button.button:hover {
  background-color: white;
  border-color: #E012AD;
  color: #E012AD;
}

button.button:active {
  background-color: lightblue;
}

input, textarea {
  border: 1px solid #E012AD;
  border-radius: 4px;
  padding: 1em 1.5em;
}

table {
  margin: auto;
}

td, th {
  padding: .25em .5em;
}

textarea {
  resize: none;
}

.product-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 2em;
  padding: 2em;
}

.product-card-title {
  margin-bottom: 0;
}

.product-card-date {
  color: darkgray;
}

.product-form {
  margin: 4em auto;
  min-width: 300px;
  max-width: 800px;
}

.product-form p {
  display: grid;
  grid-template-columns: 8em 1fr;
  column-gap: 20px;
}

.product-form label {
  text-align: right;
}

.product-detail {
  margin: 4em auto;
  min-width: 300px;
  max-width: 800px;
}

.product-image-sm {
  max-height: 20vh;
  max-width: 40vh;
}

.product-image-lg {
  max-height: 40vh;
  max-width: 80vh;
}

.pull-right {
  float: right;
  margin: 1em;
}

.control {
  text-align: right;
}
